Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.C45
Class Tree2PLSql

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C452PLSql
              edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Tree2PLSql

    public class Tree2PLSql

extends C452PLSql

Version:
  $Id: Tree2PLSql.java,v 1.5 2006/09/27 14:59:54 euler Exp $
Author:
  Alessandro Serra

Field Summary

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`m_md, m_result_name, m4db`

Constructor Summary
`Tree2PLSql()`

Method Summary
`void` | `convertToFunctionOn(java.io.PrintWriter w, java.lang.Object o)`
`void` | `convertToFunctionOn(java.io.PrintWriter w, Tree tree)`
`protected void` | `printNodeOn(java.io.PrintWriter w, Node n, int s)`
`protected void` | `printNominalNodeOn(java.io.PrintWriter w, NominalNode n, int s)`
`protected void` | `printNumericNodeOn(java.io.PrintWriter w, NumericNode n, int s)`
`protected void` | `printReturnNodeOn(java.io.PrintWriter w, ReturnNode n, int s)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C452PLSql
`printValue`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`convert, getM4Db, getResultName, printAttr, printFuncDeclaration, printFuncHeader, printFuncTrailer, printSpaceOn, setConnection, setMetaData, setResultName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tree2PLSql

    public Tree2PLSql()

Method Detail

### printNominalNodeOn

    protected void printNominalNodeOn(java.io.PrintWriter w,
                                      NominalNode n,
                                      int s)

### printNumericNodeOn

    protected void printNumericNodeOn(java.io.PrintWriter w,
                                      NumericNode n,
                                      int s)

### printReturnNodeOn

    protected void printReturnNodeOn(java.io.PrintWriter w,
                                     ReturnNode n,
                                     int s)

### printNodeOn

    protected void printNodeOn(java.io.PrintWriter w,
                               Node n,
                               int s)

### convertToFunctionOn

    public void convertToFunctionOn(java.io.PrintWriter w,
                                    Tree tree)

### convertToFunctionOn

    public void convertToFunctionOn(java.io.PrintWriter w,
                                    java.lang.Object o)
                             throws java.lang.Exception

  Overrides:
    `convertToFunctionOn` in class `ToPLSql`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005